curl -X DELETE "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/accounts/acc_002" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/campaigns/cmp_xyz789/accounts/acc_sender1",
headers={"X-API-Key": "otr_your_key"},
)
result = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/campaigns/cmp_xyz789/accounts/acc_sender1",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" },
}
);
const result = await response.json();
{
"data": {
"removed": true
}
}
Campaign Accounts
Remove Account from Campaign
Remove an email account from a campaign.
DELETE
/
api
/
v1
/
campaigns
/
{campaign_id}
/
accounts
/
{account_id}
curl -X DELETE "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/accounts/acc_002" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/campaigns/cmp_xyz789/accounts/acc_sender1",
headers={"X-API-Key": "otr_your_key"},
)
result = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/campaigns/cmp_xyz789/accounts/acc_sender1",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" },
}
);
const result = await response.json();
{
"data": {
"removed": true
}
}
Path Parameters
string
required
The unique identifier of the campaign.
string
required
The unique identifier of the email account to remove.
Response
Returns a confirmation of removal.curl -X DELETE "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/accounts/acc_002" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/campaigns/cmp_xyz789/accounts/acc_sender1",
headers={"X-API-Key": "otr_your_key"},
)
result = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/campaigns/cmp_xyz789/accounts/acc_sender1",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" },
}
);
const result = await response.json();
{
"data": {
"removed": true
}
}
Errors
| Status | Description |
|---|---|
404 | Account not in campaign |
404 | Campaign not found |
Rate Limit
- 100 requests per minute, per API key. Fixed 60-second window.
- Every response includes
X-RateLimit-Limit,X-RateLimit-Remaining, andX-RateLimit-Reset(unix epoch seconds). - A
429response includes aRetry-Afterheader (seconds until the bucket resets).
Retry-After, exponential backoff, monitoring X-RateLimit-Remaining), see Rate Limiting.